View Issue Details

IDProjectCategoryView StatusLast Update
0022172mantisbtmarkdownpublic2017-01-31 04:02
ReportercproensaAssigned Tojoel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.1.0Fixed in Version2.1.0 
Summary0022172: Markdown not displaying single line breaks
Description

A single line break is not displayed by markdown formatting.
As an example of markdown usage, in github, simple line breaks are displayed correctly.

TagsNo tags attached.

Relationships

related to 0022167 confirmedjoel Markdown: poor handling of legacy multi-level quoted text 
child of 0022180 new Markdown issues following implementation in 0017920 

Activities

vboctor

vboctor

2017-01-12 00:34

manager   ~0055069

Typically markdown preserved line breaks in the following condition:

  • When the line ends with two spaces.
  • When there are two line breaks.

It typically doesn't preserve a single line break. The goal is to enable authoring readable lines in an editor where a new line to comply with a max width doesn't introduce a line break in the output.

dregad

dregad

2017-01-12 07:10

developer   ~0055077

It typically doesnt preserve a single line break

Github does. Example

First Line
Second line

See attached for Github's rendering, and below for CoreFormatting

First Line
Second line



vboctor

vboctor

2017-01-12 11:59

manager   ~0055083

PR: https://github.com/mantisbt/mantisbt/pull/993

vboctor

vboctor

2017-01-12 12:00

manager   ~0055084

@dregad You are right. I tested the same thing yesterday and I thought it didn't work.

Related Changesets

MantisBT: master fd79aaa3

2017-01-12 08:57:05

Joel C. Llano


Committer: dregad Details Diff
Enabled line breaks by default

- this will enable newlines to insert line break <br>

Fixes 0022172
mod - plugins/MantisCoreFormatting/core/MantisMarkdown.php Diff File

Issue History

Date Modified Username Field Change
2017-01-11 19:05 cproensa New Issue
2017-01-11 19:06 cproensa Relationship added related to 0022167
2017-01-12 00:34 vboctor Note Added: 0055069
2017-01-12 07:10 dregad File Added: screenshot-20170112-1309.png
2017-01-12 07:10 dregad Note Added: 0055077
2017-01-12 07:16 dregad Relationship added child of 0022180
2017-01-12 07:21 dregad Target Version => 2.1.0
2017-01-12 11:58 vboctoradmin Assigned To => joel
2017-01-12 11:58 vboctoradmin Status new => assigned
2017-01-12 11:59 vboctor Note Added: 0055083
2017-01-12 12:00 vboctor Note Added: 0055084
2017-01-12 12:35 dregad Changeset attached => MantisBT master fd79aaa3
2017-01-12 12:35 dregad Assigned To joel => dregad
2017-01-12 12:35 dregad Status assigned => resolved
2017-01-12 12:35 dregad Resolution open => fixed
2017-01-12 12:35 dregad Fixed in Version => 2.1.0
2017-01-12 12:36 dregad Assigned To dregad => joel
2017-01-31 04:02 vboctor Status resolved => closed